> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Outbound webhook delivery log

> Outbound webhook delivery log; Failed rows are the DLQ



## OpenAPI

````yaml /api-reference/openapi.json get /api/api-access/deliveries
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/api-access/deliveries:
    get:
      tags:
        - API access
      summary: Outbound webhook delivery log
      description: Outbound webhook delivery log; Failed rows are the DLQ
      operationId: getApiApiAccessDeliveries
      parameters:
        - in: query
          name: status
          schema:
            type: string
            enum:
              - Pending
              - InFlight
              - Delivered
              - Failed
              - Discarded
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  entries:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        event:
                          type: string
                          enum:
                            - leave.approved
                            - leave.rejected
                            - regularization.approved
                            - regularization.rejected
                            - overtime.approved
                            - overtime.rejected
                            - payslip.published
                            - form16.available
                            - message.received
                        webhookId:
                          anyOf:
                            - type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            - type: 'null'
                        webhookUrl:
                          anyOf:
                            - type: string
                            - type: 'null'
                        status:
                          type: string
                          enum:
                            - Pending
                            - InFlight
                            - Delivered
                            - Failed
                            - Discarded
                        attempts:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        nextAttemptAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                        lastError:
                          anyOf:
                            - type: string
                            - type: 'null'
                        deliveredAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                        createdAt:
                          type: string
                      required:
                        - id
                        - event
                        - webhookId
                        - webhookUrl
                        - status
                        - attempts
                        - nextAttemptAt
                        - lastError
                        - deliveredAt
                        - createdAt
                  counts:
                    type: object
                    propertyNames:
                      type: string
                      enum:
                        - Pending
                        - InFlight
                        - Delivered
                        - Failed
                        - Discarded
                    additionalProperties:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    required:
                      - Pending
                      - InFlight
                      - Delivered
                      - Failed
                      - Discarded
                required:
                  - entries
                  - counts
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````